//优化requestAnimationFrame的兼容性
(function () {
    var lastTime = 0;
    var vendors = ['webkit', 'moz'];
    for (var x = 0; x < vendors.length && !window.requestAnimationFrame; ++x) {
        window.requestAnimationFrame = window[vendors[x] + 'RequestAnimationFrame'];
        window.cancelAnimationFrame =
          window[vendors[x] + 'CancelAnimationFrame'] || window[vendors[x] + 'CancelRequestAnimationFrame'];
    }

    if (!window.requestAnimationFrame)
        window.requestAnimationFrame = function (callback, element) {
            var currTime = new Date().getTime();
            var timeToCall = Math.max(0, 16 - (currTime - lastTime));
            var id = window.setTimeout(function () { callback(currTime + timeToCall); },
              timeToCall);
            lastTime = currTime + timeToCall;
            return id;
        };

    if (!window.cancelAnimationFrame)
        window.cancelAnimationFrame = function (id) {
            clearTimeout(id);
        };
}());

$(window).scroll(function () {
    if ($(document).scrollTop() >= ($(document).height() - $(window).height()) * 0.6) {
        isUserscrolled = true;
    }
});

var articleGetterIsEnd = false;
var isUserscrolled = false;
var outNow = true;

function articleEngine(sec, logId) {
    var timeTag = Date.now();   //上一帧的时间
    var endTime = Date.now() + (sec * 1000);    //结束时间
    articleGetterIsEnd = false;  //是否结束
    isUserscrolled = false;
    outNow = false;
    var timer;
    var times = endTime - Date.now();
    var interval = 1000;
    var secTimes = sec;
    var currLogId = logId;

    function begin() {
        window.cancelAnimationFrame(timer);
        
        if (outNow) {
            articleGetterIsEnd = false;
            isUserscrolled = false;
            return;
        }

        if (articleGetterIsEnd && isUserscrolled) {
            outNow = true;
            updateArticleLog(currLogId);
            return;
        }

        if ((Date.now() - timeTag) >= interval) {
            times = endTime - Date.now();
            if (times <= 0) {
                articleGetterIsEnd = true;
            }

            timeTag = Date.now();
        }

        timer = window.requestAnimationFrame(begin);
    };

    timer = window.requestAnimationFrame(begin);
};

function updateArticleLog(logId) {
    var token = loginedUserInfo.getToken();

    mui.ajax(apiUrl + '/Article/UpdateArtcileLog', {
        data: { token: token, logid: logId },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (result) {
            if (result.Status == 0)
            {
                var userInfo = loginedUserInfo.getUserInfo();
                userInfo.Bean = result.UserBean;
                loginedUserInfo.updateUserInfo(userInfo);
                mui.fire(plus.webview.getWebviewById("my_sub.html"), "fullBaseInfo", {});
                
                layer.open({
		            content: '豆子数 +' + result.ArticleBean + ' <img src="img/csx-dou.png" class="csx-douImg" />',
		            skin: 'msg',
		            time: 2,
		            success: function (layero, index) {
		                var soundPlayer = plus.audio.createPlayer('audio/bean.wav');
		                soundPlayer.play(function () {
		                    soundPlayer.stop();
		                });
		            }
		        });
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};