//优化requestAnimationFrame的兼容性
(function () {
    var lastTime = 0;
    var vendors = ['webkit', 'moz'];
    for (var x = 0; x < vendors.length && !window.requestAnimationFrame; ++x) {
        window.requestAnimationFrame = window[vendors[x] + 'RequestAnimationFrame'];
        window.cancelAnimationFrame =
          window[vendors[x] + 'CancelAnimationFrame'] || window[vendors[x] + 'CancelRequestAnimationFrame'];
    }

    if (!window.requestAnimationFrame)
        window.requestAnimationFrame = function (callback, element) {
            var currTime = new Date().getTime();
            var timeToCall = Math.max(0, 16 - (currTime - lastTime));
            var id = window.setTimeout(function () { callback(currTime + timeToCall); },
              timeToCall);
            lastTime = currTime + timeToCall;
            return id;
        };

    if (!window.cancelAnimationFrame)
        window.cancelAnimationFrame = function (id) {
            clearTimeout(id);
        };
}());

function awardRoll(boxId) {
    this.units = [jQuery("#" + boxId).find('.lottery-unit.lottery-unit-0'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-1'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-2'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-3'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-4'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-5'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-6'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-7'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-8'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-9'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-10'), jQuery("#" + boxId).find('.lottery-unit.lottery-unit-11')];
    this.count = 0;
    this.unitsLen = 11;
    this.index = -1; //当前的位置
    this.timesLess = 50;  //最少闪烁次数
    this.slowSpeed = 150; //慢速
    this.fastSpeed = 60; //快速
    this.timer = null;   //计时器
    this.canStop = false;    //是否可以停止
    this.lastTime = Date.now();
    this.result = -2;   //结果
};

function runAward(boxId, getResult, callback) {
    var roll = new awardRoll(boxId);

    function begin() {
        window.cancelAnimationFrame(roll.timer);
        var interval = roll.count < 6 ? roll.slowSpeed : roll.fastSpeed;
        if ((Date.now() - roll.lastTime) >= interval) {
            
            if (roll.count > roll.timesLess && roll.result == -2) {
                roll.result = -1;
                getResult(roll);
            }

            if ((roll.fastSpeed >= roll.slowSpeed && roll.index == roll.result) || (roll.canStop && roll.result == -1)) {
                callback(function () {
                    roll.units[roll.index].removeClass('active');
                });
                return;
            }

            if (roll.canStop) {
                roll.fastSpeed += 10;
            }

            if (roll.index == -1) {
                roll.index++;
                roll.units[roll.index].addClass('active');
            }
            else {
                roll.units[roll.index].removeClass('active');
                if (roll.index < roll.unitsLen) {
                    roll.index++;
                }
                else {
                    roll.index = 0;
                }

                roll.units[roll.index].addClass('active');
            }
            roll.count++;

            roll.lastTime = Date.now();
        }

        roll.timer = window.requestAnimationFrame(begin);
    };

    roll.timer = window.requestAnimationFrame(begin);
};

var userAwardData = null;
window.addEventListener('init', function (event) {
    init(null);
});
function init(callback) {
    var token = loginedUserInfo.getToken();
    mui.ajax(apiUrl + '/Award/Init', {
        data: { token: token },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            var tempObj = {
                BaseCount12: 1,
                BaseCount55: 2,
                BaseCount99: 0
            };

            switch (data.LoginedUser.VIP) {
                case 1: {
                    tempObj.BaseCount99 = 2;
                    break;
                }
                case 2: {
                    tempObj.BaseCount99 = 3;
                    break;
                }
                case 3: {
                    tempObj.BaseCount99 = 4;
                    break;
                }
                case 4: {
                    tempObj.BaseCount99 = 6;
                    break;
                }
                case 5: {
                    tempObj.BaseCount99 = 12;
                    break;
                }
                case -1:
                case 0: {
                    tempObj.BaseCount99 = 1;
                    break;
                }
            }

            loginedUserInfo.updateUserInfo(data.LoginedUser);
            mui.fire(plus.webview.getWebviewById("award"), "setHeadStyle", {});

            userAwardData = jQuery.extend(data, tempObj);

            jQuery("#userTimes12").text(userAwardData.UserAward12Count);
            jQuery("#baseTimes12").text(userAwardData.BaseCount12);
            jQuery("#userTimes55").text(userAwardData.UserAward55Count);
            jQuery("#baseTimes55").text(userAwardData.BaseCount55);
            jQuery("#userTimes99").text(userAwardData.UserAward99Count);
            jQuery("#baseTimes99").text(userAwardData.BaseCount99);

            if (callback)
                callback();
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

function userAward(category, phone, callback) {
    var token = loginedUserInfo.getToken();

    mui.ajax(apiUrl + '/Award/UserAward', {
        data: { token: token, awardCategory: category, userinfo: phone },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (result) {
            loginedUserInfo.updateUserInfo(result.LoginedUser);
            setHeadStyle();
            mui.fire(plus.webview.getWebviewById("my_sub.html"), "fullBaseInfo", {});

            callback(result.Status);
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

function runUserAward12() {
    if (!loginedUserInfo.hasLogin()) {
        openLogin('award');
    }
    else {
        var userInfo = loginedUserInfo.getUserInfo();
        if (userInfo.UserStatus < 0) {
            mui.toast('你的账号已被禁用,请与管理员联系.');
            return;
        }
        if (userInfo.UserStatus == 0) {
            mui.toast('你的账号尚未激活.');
            return;
        }
        if (userInfo.Bean < 120000) {
            mui.toast('你的豆子余额必须大于120000豆子才可以参与抽奖哦.');
            return;
        }
        if (userAwardData.UserAward12Count >= userAwardData.BaseCount12) {
            mui.toast('你今天已经没有足够的抽奖次数,明天再来试试吧.');
            return;
        }

        jQuery("#btnStart12").unbind("tap");
        jQuery("#btnStart12").find("img").attr("src", "../img/cj-btn2.png");

        runAward('lottery12', function (roll) {
            roll.result = randomNumBoth(1, 100) % 2 == 0 ? 0 : 6;
            roll.canStop = true;
        }, function (reset) {
            layer.open({
                type: 1,
                shadeClose: false,
                shade: 0.1,
                skin: 'demo-class',
                maxmin: true, //开启最大化最小化按钮
                area: ['100%', "500px"],
                content: $("#openBox12Template").html(),
                end: function () {
                    jQuery("#btnStart12").bind("tap", runUserAward12);
                    jQuery("#btnStart12").find("img").attr("src", "../img/cj-btn.png");
                },
                success: function () {
                    jQuery("#closeAward12OpenBox").on("tap", function () {
                        reset();
                        layer.closeAll();
                    });

                    var userPhone = loginedUserInfo.getUserInfo().Mobile;
                    jQuery("#award12Phone").val(userPhone);

                    jQuery("#btnSubmitAward12Phone").on("tap", function () {
                        var phone = jQuery("#award12Phone").val();
                        if (!isPhone(phone)) {
                            mui.toast('请填写正确的手机号码.');
                        }
                        else {
                            var loadingLayerIndex = layer.open({
                                type: 2,
                                shadeClose: false,
                                content: '正在提交'
                            });
                            userAward(2, phone, function (status) {
                                layer.close(loadingLayerIndex);
                                switch (status) {
                                    case 0: {
                                        userAwardData.UserAward12Count++;
                                        jQuery("#userTimes12").text(userAwardData.UserAward12Count);
                                        mui.toast('手机号码提交成功.');
                                        break;
                                    }
                                    case -1: {
                                        mui.alert("你的豆子余额必须大于120000豆子才可以参与抽奖哦.", "有问题哦", "确定", null, "div");
                                        break;
                                    }
                                    case -2: {
                                        mui.alert("你今天已经没有足够的抽奖次数,明天再来试试吧.", "有问题哦", "确定", null, "div");
                                        break;
                                    }
                                    case -4: {
                                        mui.alert("你的抽奖权限已被禁用,请与管理员联系.", "有问题哦", "确定", null, "div");
                                        break;
                                    }
                                }

                                reset();
                                layer.closeAll();
                            });
                        }
                    });
                }
            });
        });
    }
};

function runUserAward55() {
    this.status = -999;

    if (!loginedUserInfo.hasLogin()) {
        openLogin('award');
    }
    else {
        var userInfo = loginedUserInfo.getUserInfo();
        if (userInfo.UserStatus < 0) {
            mui.toast('你的账号已被禁用,请与管理员联系.');
            return;
        }
        if (userInfo.UserStatus == 0) {
            mui.toast('你的账号尚未激活.');
            return;
        }
        if (userInfo.Bean < 800000) {
            mui.toast('你的豆子余额必须大于800000豆子才可以参与抽奖哦.'); 
            return;
        }
        if (userAwardData.UserAward55Count >= userAwardData.BaseCount55) {
            mui.toast('你今天已经没有足够的抽奖次数,明天再来试试吧.');
            return;
        }

        jQuery("#btnStart55").unbind("tap");
        jQuery("#btnStart55").find("img").attr("src", "../img/cj-btn2.png");

        runAward('lottery55', function (roll) {
            userAward(0, "", function (status) {
                this.status = status;
                roll.canStop = true;
                if (status == 0) {
                    roll.result = randomNumBoth(1, 100) % 2 == 0 ? 0 : 6; 
                }
                else {
                    roll.result = -1;
                }
            });
            roll.result = randomNumBoth(1, 100) % 2 == 0 ? 0 : 6;
            roll.canStop = true;
        }, function (reset) {
            jQuery("#btnStart55").bind("tap", runUserAward55);
            jQuery("#btnStart55").find("img").attr("src", "../img/cj-btn.png");

            switch (parseInt(this.status)) {
                case 0: {
                    userAwardData.UserAward55Count++; 
                    jQuery("#userTimes55").text(userAwardData.UserAward55Count);  

                    layer.open({
                        type: 1,
                        shadeClose: true,
                        shade: 0.1,
                        skin: 'demo-class',
                        maxmin: true, //开启最大化最小化按钮
                        area: ['100%', "500px"],
                        content: $("#openBox55Template").html(),
                        end: function () {
                            reset();
                        },
                        success: function () {
                            jQuery("#closeAward155penBox").on("tap", function () {
                                layer.closeAll();
                            });
                        }
                    });
                    break;
                }
                case -1: {
                    mui.alert("你的豆子余额必须大于120000豆子才可以参与抽奖哦.", "有问题哦", "确定", null, "div");
                    reset();
                    break;
                }
                case -2: {
                    mui.alert("你今天已经没有足够的抽奖次数,明天再来试试吧.", "有问题哦", "确定", null, "div");
                    reset();
                    break;
                }
                case -4: {
                    mui.alert("你的抽奖权限已被禁用,请与管理员联系.", "有问题哦", "确定", null, "div");
                    reset();
                    break;
                }
            }
        });
    }
};

function runUserAward99() {
    this.status = -999;

    if (!loginedUserInfo.hasLogin()) {
        openLogin('award');
    }
    else {
        var userInfo = loginedUserInfo.getUserInfo();
        if (userInfo.UserStatus < 0) {
            mui.toast('你的账号已被禁用,请与管理员联系.');
            return;
        }
        if (userInfo.UserStatus == 0) {
            mui.toast('你的账号尚未激活.');
            return;
        }
        if (userInfo.Bean < 1500000) {
            mui.toast('你的豆子余额必须大于1500000豆子才可以参与抽奖哦.');
            return;
        }
        if (userAwardData.UserAward99Count >= userAwardData.BaseCount99) {
            mui.toast('你今天已经没有足够的抽奖次数,明天再来试试吧.');
            return;
        }

        jQuery("#btnStart99").unbind("tap");
        jQuery("#btnStart99").find("img").attr("src", "../img/cj-btn2.png");

        runAward('lottery99', function (roll) {
            userAward(1, "", function (status) {
                this.status = status;
                roll.canStop = true;
                if (status == 0) {
                    roll.result = randomNumBoth(1, 100) % 2 == 0 ? 0 : 6;
                }
                else {
                    roll.result = -1;
                }
            });
            roll.result = randomNumBoth(1, 100) % 2 == 0 ? 0 : 6;
            roll.canStop = true;
        }, function (reset) {
            jQuery("#btnStart99").bind("tap", runUserAward99);
            jQuery("#btnStart99").find("img").attr("src", "../img/cj-btn.png");

            switch (parseInt(this.status)) {
                case 0: {
                    userAwardData.UserAward99Count++;
                    jQuery("#userTimes99").text(userAwardData.UserAward99Count);

                    layer.open({
                        type: 1,
                        shadeClose: true,
                        shade: 0.1,
                        skin: 'demo-class',
                        maxmin: true, //开启最大化最小化按钮
                        area: ['100%', "500px"],
                        content: $("#openBox99Template").html(),
                        end: function () {
                            reset();
                        },
                        success: function () {
                            jQuery("#closeAward199penBox").on("tap", function () {
                                layer.closeAll();
                            });
                        }
                    });
                    break;
                }
                case -1: {
                    mui.alert("你的豆子余额必须大于1500000豆子才可以参与抽奖哦.", "有问题哦", "确定", null, "div");
                    reset();
                    break;
                }
                case -2: {
                    mui.alert("你今天已经没有足够的抽奖次数,明天再来试试吧.", "有问题哦", "确定", null, "div");
                    reset();
                    break;
                }
                case -4: {
                    mui.alert("你的抽奖权限已被禁用,请与管理员联系.", "有问题哦", "确定", null, "div");
                    reset();
                    break;
                }
            }
        });
    }
};