// 清除两边的空格 
String.prototype.trim = function () {
    return this.replace(/(^\s*)|(\s*$)/g, '');
};
String.prototype.htmlEncode = function () {
    var div = document.createElement('div');
    div.appendChild(document.createTextNode(this));
    return div.innerHTML;
};
String.prototype.getBytesLength = function () {
    for (var i = this.length, n = 0; i--;) {
        n += this.charCodeAt(i) > 255 ? 2 : 1;
    }
    return n;
};
function isEmail(email) {
    var reg = new RegExp("^[a-z0-9]+([._\\-]*[a-z0-9])*@([a-z0-9]+[-a-z0-9]*[a-z0-9]+.){1,63}[a-z0-9]+$"); //正则表达式
    if (email === "") { //输入不能为空
        return false;
    } else if (!reg.test(email)) { //正则验证不通过，格式不对
        return false;
    } else {
        return true;
    }
};

function isPhone(phone) {
    if (/^[1-9][0-9]{9}[0-9]$/.test(phone)) {
        return true;
    }
    else {
        return false;
    }
};

function openLogin(type) {
    mui.openWindow({
        url: '/login.html',
        id: 'login',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "用户登录", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                }
            },
            bounceBackground: "#f9f9f9"
        },
        extras: {
            type: type
        },
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 200 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true, //自动显示等待框，默认为true
            options: commnWaittingOptions
        }
    });
};

function isInt(num) {
    return /(^[1-9]\d*$)/.test(num);
};

function formatBean(bean) {
    if((bean > 0 && bean < 10000) || (bean <= 0 && bean > -10000)){
        return bean;
    } else {
        var length = 4;
        bean = bean + "";
        var frist_init = bean.substr(0, bean.length - length);//取value后四位之外的数值，例如：32100 取3
        var last_four = bean.substr(bean.length - length);//取value后四位，例如：32100 取2100
        var lastFourStr = last_four.substr(0, 2);
        if (lastFourStr == "00")
            return frist_init + "万";
        else
            return frist_init + "." + last_four.substr(0, 2) + "万";
    }
};

function randomNumBoth(Min, Max) {
    var Range = Max - Min;
    var Rand = Math.random();
    var num = Min + Math.round(Rand * Range);
    return num;
};

function showAjaxErrMsg(type) {
    switch (type) {
        case "timeout": {
            mui.toast('网络请求超时,请检查网络或稍后重试.');
            break;
        }
        case "error": {
            mui.toast('网络请求出现错误,请稍后重试.');
            break;
        }
        case "abort": {
            if (plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
                mui.toast('您的网络中断,请检查网络或稍后重试.');
            }
            else {
                mui.toast('远程服务器应答错误,请稍后重试.');
            }
            break;
        }
        case "parsererror": {
            mui.toast('远程服务器返回值错误,请稍后重试.');
            break;
        }
        default:
        case "null": {
            mui.toast('出现未知错误,请稍后重试.');
            break;
        }
    }
};

// 对Date的扩展，将 Date 转化为指定格式的String   
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符，   
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)   
// 例子：   
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423   
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18   
Date.prototype.Format = function (fmt) { //author: meizz   
    var o = {
        "M+": this.getMonth() + 1,                 //月份   
        "d+": this.getDate(),                    //日   
        "h+": this.getHours(),                   //小时   
        "m+": this.getMinutes(),                 //分   
        "s+": this.getSeconds(),                 //秒   
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度   
        "S": this.getMilliseconds()             //毫秒   
    };
    if (/(y+)/.test(fmt))
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt))
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
};

String.prototype.htmlEncode = function () {
    var div = document.createElement('div');
    div.appendChild(document.createTextNode(this));
    return div.innerHTML;
};

function copyToClip(content, callback) {
    if (mui.os.ios) {
        var UIPasteboard = plus.ios.importClass("UIPasteboard");
        var generalPasteboard = UIPasteboard.generalPasteboard();
        // 设置/获取文本内容:
        generalPasteboard.setValueforPasteboardType(content, "public.utf8-plain-text");
    }
    else {
        var Context = plus.android.importClass("android.content.Context");
        var main = plus.android.runtimeMainActivity();
        var clip = main.getSystemService(Context.CLIPBOARD_SERVICE);
        plus.android.invoke(clip, "setText", content);
    }

    if (callback)
        callback();
};

function playOpenSound() {
    if (isOpenSound()) {
        var openSound = plus.audio.createPlayer("/audio/open.wav");
        openSound.play(function () {
            openSound.stop();
        });
    }
};

function isOpenSound() {
    var soundStatus = localStorage.getItem("soundstatus");
    if (!soundStatus)
        return true;
    else
        return soundStatus == "1";
};

function androidBack(callback) {
    if (mui.os.android) {
        //获取当前窗口
        var ws = plus.webview.currentWebview();
        //监听当前侧滑窗口的右滑
        ws.drag({
            direction: 'right',
            moveMode: 'followFinger'
        }, {
            view: plus.runtime.appid,
            moveMode: 'silent'
        }, function (e) {
            //滑动到end执行mui.back()事件
            if (e.type == 'end' && e.result) {
                if (callback)
                    callback();
            }
        });
    }
};

var commnWaittingOptions = { background: "rgba(255,255,255,0)", loading: { icon: "/img/commwaitting.png", interval: "80ms" } };

function cutByte(str, len, endstr) {
    var len = +len,
    endstr = typeof (endstr) == 'undefined' ? "..." : endstr.toString(),
    endstrBl = endstr.getBytesLength();
    function n2(a) { var n = a / 2 | 0; return (n > 0 ? n : 1) }//用于二分法查找
    if (!(str + "").length || !len || len <= 0) {
        return "";
    }
    if (len < endstrBl) {
        endstr = "";
        endstrBl = 0;
    }
    var lenS = len - endstrBl,
    _lenS = 0,
    _strl = 0;
    while (_strl <= lenS) {
        var _lenS1 = n2(lenS - _strl),
        addn = str.substr(_lenS, _lenS1).getBytesLength();
        if (addn == 0) { return str; }
        _strl += addn
        _lenS += _lenS1
    }
    if (str.length - _lenS > endstrBl || str.substring(_lenS - 1).getBytesLength() > endstrBl) {
        return str.substr(0, _lenS - 1) + endstr
    } else {
        return str;
    }
};

function randomNum(minNum, maxNum) {
    switch (arguments.length) {
        case 1:
            return parseInt(Math.random() * minNum + 1, 10);
            break;
        case 2:
            return parseInt(Math.random() * (maxNum - minNum + 1) + minNum, 10);
            break;
        default:
            return 0;
            break;
    }
};