﻿function startPageInfo() {
    if (plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
        plus.nativeUI.confirm("网络异常，请检查网络设置！", function (event) {
            var tapIndex = event.index;
            switch (tapIndex) {
                case 0: {
                    startPageInfo();
                    break;
                }
                case 1: {
                    mui.back();
                    break;
                }
            }
        }, "有问题哦", ["点击重试", "取消"]);
    }
    else {
        getInitInfon(function () {
            //关闭等待框
            plus.nativeUI.closeWaiting();
            //显示当前页面
            mui.currentWebview.show("slide-in-right", 300);
            playOpenSound();
        });
    }
};

function getInitInfon(callback) {
    var token = loginedUserInfo.getToken();

    mui.ajax(apiUrl + '/DaylyJob/Init', {
        data: { token: token },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            initBind(data);
            if (callback)
                callback();
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

function initBind(data) {
    var userInfo = loginedUserInfo.getUserInfo();
    userInfo.DaylyClick = data.DayilyJobDaylyClick;
    loginedUserInfo.updateUserInfo(userInfo);
    var token = loginedUserInfo.getToken();

    if (data.DayilyJobDaylyClick == 1) {
        jQuery("#btnDailyClick").attr("src", "../img/dalyjobqd2.png").unbind("tap");
    }
    else {
        jQuery("#btnDailyClick").attr("src", "../img/dalyjobqd.png").bind("tap", function () {
            var w = plus.nativeUI.showWaiting("处理中，请等待...");
            mui.ajax(apiUrl + '/User/UserDaylyClick', {
                data: { token: token },
                dataType: 'json',//服务器返回json格式数据
                type: 'post',//HTTP请求类型
                timeout: 10000,//超时时间设置为10秒；
                crossDomain: true,
                success: function () {
                    w.close();
                    jQuery("#btnDailyClick").attr("src", "../img/dalyjobqd2.png").unbind("tap");
                    mui.toast('签到成功,豆子数+200')
                },
                error: function (xhr, type, errorThrown) {
                    showAjaxErrMsg(type);
                }
            });
        });
    }

    switch (data.DailyJobJoinGame) {
        case -1: {
            jQuery("#btnGetJob1").attr("disabled", false).text("任务完成，领取奖励").bind("tap", function () {
                getUserDailyJobBean(1, function () {
                    jQuery("#btnGetJob1").attr("disabled", true).text("已领取奖励").unbind("tap");
                });
            });
            mui("#job1Progressbar").progressbar().setProgress(100);
            jQuery("#job1Num").text(20);
            break;
        }
        case -2: {
            jQuery("#btnGetJob1").attr("disabled", true).text("已领取奖励").unbind("tap");
            mui("#job1Progressbar").progressbar().setProgress(100);
            jQuery("#job1Num").text(20);
            break;
        }
        default: {
            jQuery("#btnGetJob1").attr("disabled", true).text("尚未完成任务").unbind("tap");
            mui("#job1Progressbar").progressbar().setProgress(parseInt(data.DailyJobJoinGame / 20 * 100));
            jQuery("#job1Num").text(data.DailyJobJoinGame);
            break;
        }
    }

    switch (data.DailyJobMaster) {
        case -1: {
            jQuery("#btnGetJob2").attr("disabled", false).text("任务完成，领取奖励").bind("tap", function () {
                getUserDailyJobBean(2, function () {
                    jQuery("#btnGetJob2").attr("disabled", true).text("已领取奖励").unbind("tap");
                });
            });
            mui("#job2Progressbar").progressbar().setProgress(100);
            jQuery("#job2Num").text(3);
            break;
        }
        case -2: {
            jQuery("#btnGetJob2").attr("disabled", true).text("已领取奖励").unbind("tap");
            mui("#job2Progressbar").progressbar().setProgress(100);
            jQuery("#job2Num").text(3);
            break;
        }
        default: {
            jQuery("#btnGetJob2").attr("disabled", true).text("尚未完成任务").unbind("tap");
            mui("#job2Progressbar").progressbar().setProgress(parseInt(data.DailyJobMaster / 3 * 100));
            jQuery("#job2Num").text(data.DailyJobMaster);
            break;
        }
    }

    switch (data.DailyJobVIP) {
        case -1: {
            jQuery("#btnGetJob3").attr("disabled", false).text("任务完成，领取奖励").bind("tap", function () {
                getUserDailyJobBean(3, function () {
                    jQuery("#btnGetJob3").attr("disabled", true).text("已领取奖励").unbind("tap");
                });
            });
            mui("#job3Progressbar").progressbar().setProgress(100);
            jQuery("#job3Num").text(1);
            break;
        }
        case -2: {
            jQuery("#btnGetJob3").attr("disabled", true).text("已领取奖励").unbind("tap");
            mui("#job3Progressbar").progressbar().setProgress(100);
            jQuery("#job3Num").text(1);
            break;
        }
        default: {
            jQuery("#btnGetJob3").attr("disabled", true).text("尚未完成任务").unbind("tap");
            mui("#job3Progressbar").progressbar().setProgress(0);
            jQuery("#job3Num").text(0);
            break;
        }
    }
};

function getUserDailyJobBean(jobtype, callback) {
    var token = loginedUserInfo.getToken();

    var w = plus.nativeUI.showWaiting("处理中，请等待...");
    mui.ajax(apiUrl + '/DaylyJob/GetUserDailyJobBean', {
        data: { token: token, jobtype: jobtype },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function () {
            w.close();
            if (callback)
                callback();
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};