function backFun(openerType) {
    if (openerType) {
        switch (openerType) {
            case 'game_csx': {
                mui.fire(plus.webview.getWebviewById("game_csx"), "restartUserGame", {});
                break;
            }
            case "award": {
                mui.fire(plus.webview.getWebviewById("award_sub"), "init", {});
                break;
            }
            case "init": {
                if (!loginedUserInfo.hasLogin())
                    mui.fire(plus.webview.getLaunchWebview(), "changeSubpage", { index: 0 });
                break;
            }
        }
    }

    mui.fire(plus.webview.getLaunchWebview(), "firstLoginOpen", {});
};

function commonLogin() {
    var loginUserName = jQuery("#txtUserName").val();
    var loginPassword = jQuery("#txtPassword").val();
    var yzm = jQuery("#txtCommonVCode").val(); 
    
    if (loginUserName.length == 0) {
        mui.toast('请填写登录用户名.', {
            duration: 'short'
        });
        return;
    }
    if (loginPassword.length == 0) {
        mui.toast('请填写登录密码.', {
            duration: 'short'
        });
        return;
    }
    if (needCommonVCode) {
        if (yzm.length != 5) {
            mui.toast('请输入正确的验证码.', {
                duration: 'short'
            });
            return;
        }
    }

    jQuery("#txtUserName").attr("disabled", true);
    jQuery("#txtPassword").attr("disabled", true);
    jQuery("#btnCommonLogin").attr("disabled", true);
    mui("#btnCommonLogin").button('loading');
    
    mui.ajax(apiUrl + '/User/CommonLogin', {
        data: {
            loginusername: loginUserName,
            loginpassword: loginPassword,
            yzm: yzm
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            if (data.Status != 0) {
                jQuery("#txtUserName").attr("disabled", false);
                jQuery("#txtPassword").attr("disabled", false);
                jQuery("#btnCommonLogin").attr("disabled", false);
                mui("#btnCommonLogin").button('reset');
            }

            switch (data.Status) {
                case 0:
                    {
                        loginedUserInfo.updateToken(data.Object.LoginedUser.UserToken);
                        loginedUserInfo.updateUserInfo(data.Object.LoginedUser);
                        mui.fire(plus.webview.getWebviewById("index_sub.html"), "fullShortPageInfo", {});
                        mui.fire(plus.webview.getWebviewById("game_sub.html"), "fullGamePageUserInfo", { gamePageUserInfo: data.Object.GamePageUserInfo });
                        mui.fire(plus.webview.getWebviewById("my_sub.html"), "fullBaseInfo", {});
                        mui.back();
                        break;
                    }
                case -2:
                    {
                        if (jQuery("#divCommonVCode").is(":hidden")) {
                            showCommonVCode();
                        }
                        mui.toast('请输入验证码.', { duration: 'short' });
                        break;
                    }
                case -3:
                    {
                        changeCommonVCode();
                        mui.toast('请输入正确的验证码.', { duration: 'short' });
                        break;
                    }
                case -4:
                    {
                        mui.toast('你填写的用户名不存在或密码错误.', { duration: 'short' });
                        break;
                    }
                case -5:
                    {
                        needCommonVCode = true;
                        mui.toast('你填写的用户名不存在或密码错误.', { duration: 'short' });
                        showCommonVCode();
                        break;
                    }
                case -999:
                    {
                        mui.toast('用户被封.', { duration: 'short' });
                        break;
                    }
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

jQuery("#imgSMSVCode").on("tap", function () {
    jQuery(this).attr("src", apiUrl + "/VerificationCode/SMSImg.png" + Math.random());
});
jQuery("#imgCommonVCode").on("tap", function () {
    jQuery(this).attr("src", apiUrl + "/VerificationCode/Img.png" + Math.random());
});

function showCommonVCode() {
    jQuery("#divCommonVCode").show();
    jQuery("#imgCommonVCode").attr("src", apiUrl + "/VerificationCode/Img.png" + Math.random());
};
function changeCommonVCode() {
    jQuery("#imgCommonVCode").attr("src", apiUrl + "/VerificationCode/Img.png" + Math.random());
};

function mobileLogin() {
    var smsCode = jQuery("#txtSMSCode").val();

    if (smsCode.length != 5 || !isInt(smsCode)) {
        mui.toast('请输入正确的短信验证码.', { duration: 'short' });
        return;
    }

    mui("#btnMobileLogin").button('loading');
    jQuery("#btnMobileLogin").attr("disabled", true);

    var device = 1;
    if (!mui.os.ios) {
        device = 2;
    }

    mui.ajax(apiUrl + '/User/MobileLogin', {
        data: {
            smscode: smsCode,
            device: device
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            mui("#btnMobileLogin").button('reset');
            jQuery("#btnMobileLogin").attr("disabled", false);

            switch (data.Status) {
                case -99: {
                    mui.toast('请输入正确的短信验证码.', { duration: 'short' });
                    break;
                }
                case -1: {
                    mui.toast('请输入正确的手机号码.', { duration: 'short' });
                    break;
                }
                case -2: {
                    mui.toast('设备类型错误.', { duration: 'short' });
                    break;
                }
                case 0: {
                    loginedUserInfo.updateToken(data.LoginedUser.UserToken);
                    loginedUserInfo.updateUserInfo(data.LoginedUser);
                    mui.fire(plus.webview.getWebviewById("game_sub.html"), "fullGamePageUserInfo", { gamePageUserInfo: data.GamePageUserInfo });
                    mui.fire(plus.webview.getWebviewById("my_sub.html"), "fullBaseInfo", {});
                    mui.back();
                    break;
                }
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

function getSMSCode() {
    var phone = jQuery("#txtPhone").val();
    var code = jQuery("#txtSMSTxtCode").val();

    if (code.length != 5) {
        mui.toast('请输入正确的字符验证码.', { duration: 'short' });
        return;
    }

    if (!/^[1-9][0-9]{9}[0-9]$/.test(phone)) {
        mui.toast('请输入正确的手机号码.', { duration: 'short' });
        return;
    }

    jQuery("#txtPhone").attr("disabled", true);
    mui("#btnGetSMSCode").button('loading');
    mui.ajax(apiUrl + '/User/GetSMSVerificationCode', {
        data: {
            code: code,
            phone: phone
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            mui("#btnGetSMSCode").button('reset');
            switch (data.Status) {
                case -1: {
                    jQuery("#txtPhone").attr("disabled", false);
                    mui.toast('请输入正确的字符验证码.', { duration: 'short' });
                    break;
                }
                case 0:
                case -2: {
                    phoneEngine(data.Object);
                    break;
                }
                case -3: {
                    jQuery("#txtPhone").attr("disabled", false);
                    mui.toast('请输入正确的手机号码.', { duration: 'short' });
                    break;
                }
                case -4: {
                    jQuery("#txtPhone").attr("disabled", false);
                    mui.toast('发送验证码过程发生错误,请稍后重试.', { duration: 'short' });
                    break;
                }
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

//优化requestAnimationFrame的兼容性
(function () {
    var lastTime = 0;
    var vendors = ['webkit', 'moz'];
    for (var x = 0; x < vendors.length && !window.requestAnimationFrame; ++x) {
        window.requestAnimationFrame = window[vendors[x] + 'RequestAnimationFrame'];
        window.cancelAnimationFrame =
          window[vendors[x] + 'CancelAnimationFrame'] || window[vendors[x] + 'CancelRequestAnimationFrame'];
    }

    if (!window.requestAnimationFrame)
        window.requestAnimationFrame = function (callback, element) {
            var currTime = new Date().getTime();
            var timeToCall = Math.max(0, 16 - (currTime - lastTime));
            var id = window.setTimeout(function () { callback(currTime + timeToCall); },
              timeToCall);
            lastTime = currTime + timeToCall;
            return id;
        };

    if (!window.cancelAnimationFrame)
        window.cancelAnimationFrame = function (id) {
            clearTimeout(id);
        };
}());

function phoneEngine(sec) {
    jQuery("#btnGetSMSCode").unbind("tap");

    var timeTag = Date.now();   //上一帧的时间
    var endTime = Date.now() + (sec * 1000);    //结束时间
    var isEnd = false;  //是否结束
    var timer;
    var times = endTime - Date.now();
    var interval = 1000;
    var secTimes = sec;

    jQuery("#btnGetSMSCode").attr("disabled", true);
    jQuery("#btnGetSMSCode").text(secTimes + "秒");

    var canRun5Callback = true;
    var showRun5Wait = false;

    function begin() {
        window.cancelAnimationFrame(timer);
        if (isEnd) {
            jQuery("#btnGetSMSCode").bind("tap", function () {
                getSMSCode();
            }).attr("disabled", false).text("获取");
            return;
        }

        if ((Date.now() - timeTag) >= interval) {
            times = endTime - Date.now();
            if (times <= 0) {
                //提前结束
                isEnd = true;
            }
            else {
                secTimes = parseInt(times / interval);
                jQuery("#btnGetSMSCode").text(secTimes + "秒");

                if (secTimes <= 0) {
                    isEnd = true;
                }
            }

            timeTag = Date.now();
        }

        timer = window.requestAnimationFrame(begin);
    };

    timer = window.requestAnimationFrame(begin);
};