﻿function startPageInfo() {
    if (plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
        plus.nativeUI.confirm("网络异常，请检查网络设置！", function (event) {
            var tapIndex = event.index;
            switch (tapIndex) {
                case 0: {
                    startPageInfo();
                    break;
                }
                case 1: {
                    mui.back();
                    break;
                }
            }
        }, "有问题哦", ["点击重试", "取消"]);
    }
    else {
        getInitInfon(function () {
            //关闭等待框
            plus.nativeUI.closeWaiting();
            //显示当前页面
            mui.currentWebview.show("slide-in-right", 300);
            playOpenSound();
        });
    }
};

function getInitInfon(callback) {
    var token = loginedUserInfo.getToken();

    mui.ajax(apiUrl + '/Master/Init', {
        data: { token: token },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            initBind(data);
            if (callback)
                callback();
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

var inited = false;
function initBind(data) {
    jQuery("#labInviteTotalBean").text(data.InviteTotalBean);
    jQuery("#labInviteTotalCount").text(data.InviteTotalCount);
    jQuery("#labSInviteTotalCount").text(data.SInviteTotalCount);
    var userInfo = loginedUserInfo.getUserInfo();

    if (!inited) {
        jQuery("#pMyUserId").text(userInfo.UserId);

        new QRCode(jQuery("#divJoinUrlQrCode").get(0), {
            text: data.ShareInfo.JoinUrl.replace("{UserId}", userInfo.UserId),
            colorDark: '#000000',
            colorLight: '#ffffff',
            correctLevel: QRCode.CorrectLevel.H
        });

        jQuery("#openJoinUrlQrCode").on("tap", function () {
            mui("#popoverJoinUrl").popover('toggle', document.getElementById("div"));
        });

        jQuery("#aGoHelp").on("tap", function () {
            openGameCSXHelp(15, "邀请帮助", null);
        });

        jQuery("#copyJoinUrl").on("tap", function () {
            copyToClip(' 一个神奇的赚钱APP，撸钱无底线！2元提现！大家都在抢22元提现任务，限时的，抓紧别错过。 ' + data.ShareInfo.JoinUrl.replace("{UserId}", userInfo.UserId), function () {
                mui.toast('复制邀请链接成功.');
            });
        });

        jQuery("#toggleShareSheet").on("tap", function () {
            mui('#sheetShare').popover('toggle');
        });

        jQuery("#btnShowMoreList").on("tap", function () {
            mui.openWindow({
                url: 'list.html',
                id: 'masterlist',
                styles: {
                    popGesture: "close",
                    bounce: 'vertical',
                    "titleNView": { //详情页原生导航配置
                        backgroundColor: '#000000', //导航栏背景色
                        titleText: "邀请记录", //导航栏标题
                        titleColor: '#ffffff', //文字颜色
                        autoBackButton: true, //自动绘制返回箭头
                        splitLine: { //底部分割线
                            color: '#cccccc'
                        }
                    },
                    bounceBackground: "#f9f9f9"
                },
                extras: {},
                createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
                show: {
                    autoShow: false, //页面loaded事件发生后自动显示，默认为true
                    aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
                    duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
                },
                waiting: {
                    autoShow: true, //自动显示等待框，默认为true
                    options: commnWaittingOptions
                }
            });
        });

        share.init();
        jQuery("#aShareWxPyq").on("tap", function () {
            share.wxShareAction({
                content: data.ShareInfo.JoinDes,
                href: data.ShareInfo.JoinUrl.replace("{UserId}", userInfo.UserId),
                title: data.ShareInfo.JoinDes,
                content: data.ShareInfo.JoinDes,
                thumbs: [data.ShareInfo.JoinImg],
                pictures: [data.ShareInfo.JoinImg],
                type: "web",
                extra: {
                    scene: "WXSceneTimeline"
                }
            });
        });
        jQuery("#aShareWxHy").on("tap", function () {
            share.wxShareAction({
                content: data.ShareInfo.JoinDes,
                href: data.ShareInfo.JoinUrl.replace("{UserId}", userInfo.UserId),
                title: data.ShareInfo.JoinDes,
                content: data.ShareInfo.JoinDes,
                thumbs: [data.ShareInfo.JoinImg],
                pictures: [data.ShareInfo.JoinImg],
                type: "web",
                extra: {
                    scene: "WXSceneSession"
                }
            });
        });
        jQuery("#aShareQQ").on("tap", function () {
            share.qqShareAction({
                content: data.ShareInfo.JoinDes,
                href: data.ShareInfo.JoinUrl.replace("{UserId}", userInfo.UserId),
                title: data.ShareInfo.JoinDes,
                content: data.ShareInfo.JoinDes,
                thumbs: [data.ShareInfo.JoinImg],
                pictures: [data.ShareInfo.JoinImg],
                extra: {
                    scene: "QZone"
                }
            });
        });
    }

    listBind(data.List);

    if (!inited)
        inited = true;
};

function listBind(list) {
    var box = jQuery("#ulListBox");
    box.find("li[name='historyItem']").remove();

    if (list.length == 0) {
        box.append(jQuery("#templateNoContent").html());
        jQuery("#btnShowMoreList").hide();
    }
    else {
        jQuery("#btnShowMoreList").show();

        var template = jQuery("#template").html();
        jQuery.each(list, function () {
            var html = template.replace("{CreateDate}", (new Date(Number(this.CreateDate.replace(/\D/g, '')))).Format("yyyy/MM/dd"));
            html = html.replace("{ApprenticeId}", this.ApprenticeId);
            html = html.replace("{InviteBean}", formatBean(this.InviteBean));
            html = html.replace("{ApprenticeCount}", formatBean(this.ApprenticeCount));
            html = html.replace("{ApprenticeInviteBean}", formatBean(this.ApprenticeInviteBean));
            box.append(html);
        });
    }
};