﻿function startPageInfo(callback) {
    if (plus.networkinfo.getCurrentType() == plus.networkinfo.CONNECTION_NONE) {
        plus.nativeUI.confirm("网络异常，请检查网络设置！", function (event) {
            var tapIndex = event.index;
            switch (tapIndex) {
                case 0: {
                    startPageInfo();
                    break;
                }
                case 1: {
                    mui.back();
                    break;
                }
            }
        }, "有问题哦", ["点击重试", "取消"]);
    }
    else {
        getInitInfon(function () {
            //关闭等待框
            plus.nativeUI.closeWaiting();
            //显示当前页面
            mui.currentWebview.show("slide-in-right", 300);
            playOpenSound();
        });
    }

    if (callback)
        callback();
};

function getInitInfon(callback) {
    var token = loginedUserInfo.getToken();

    mui.ajax(apiUrl + '/NewBorn/Init', {
        data: { token: token },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (data) {
            initBind(data);
            if (callback)
                callback();
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

function complateJob1AndJob2(type) {
    var token = loginedUserInfo.getToken();
    var w = plus.nativeUI.showWaiting("处理中，请等待...");
    mui.ajax(apiUrl + '/NewBorn/GetSetupAwardedBeans', {
        data: { token: token, type: type },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (result) {
            w.close();
            switch (result) {
                case -1: {
                    mui.alert("您的账号尚未激活", "有问题哦", "好的", null, "div");
                    break;
                }
                case -2: {
                    mui.alert("您的账号已被封", "有问题哦", "好的", null, "div");
                    break;
                }
                case 0: {
                    switch (type) {
                        case 1: {
                            jQuery("#btnComplateJob1").attr("disabled", true).text("已领取奖励").unbind("tap");
                            mui.alert("恭喜您领取了新手任务一奖励,豆子数+20000", "恭喜您", "好的", null, "div");
                            break;
                        }
                        case 2: {
                            jQuery("#btnComplateJob2").attr("disabled", true).text("已领取奖励").unbind("tap");
                            mui.alert("恭喜您领取了新手任务二奖励,豆子数+100000", "恭喜您", "好的", null, "div");
                            break;
                        }
                    }
                    break;
                }
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

function initBind(data) {
    var job1Pro = 0;
    if (data.Job1 >= 3)
        job1Pro = 100;
    else {
        job1Pro = parseInt(data.Job1 / 3 * 100);
    }
    jQuery("#labelJob1Num").text(data.Job1);
    mui("#job1Progressbar").progressbar().setProgress(job1Pro);

    var job2Pro = 0;
    if (data.Job2 >= 1)
        job2Pro = 100;
    else {
        job2Pro = 0;
    }
    jQuery("#labelJob2Num").text(data.Job2);
    mui("#job2Progressbar").progressbar().setProgress(job2Pro);

    var job3Pro = 0;
    if (data.Job3 >= 20)
        job3Pro = 100;
    else {
        job3Pro = parseInt(data.Job3 / 20 * 100);
    }
    jQuery("#labelJob3Num").text(data.Job3);
    mui("#job3Progressbar").progressbar().setProgress(job3Pro);

    if (data.Setup1Awarded == 1) {
        jQuery("#btnComplateJob1").attr("disabled", true).text("已领取奖励").unbind("tap");
    }
    else {
        if (data.Job1 >= 3 && data.Job2 >= 1 && data.Job3 >= 20) {
            jQuery("#btnComplateJob1").attr("disabled", false).text("任务全部完成，领取奖励").bind("tap", function () {
                complateJob1AndJob2(1);
            });
        }
        else {
            jQuery("#btnComplateJob1").attr("disabled", true).text("任务尚未完成").unbind("tap");
        }
    }

    var job4Pro = 0;
    if (data.Job4 >= 5)
        job4Pro = 100;
    else {
        job4Pro = parseInt(data.Job4 / 5 * 100);
    }
    jQuery("#labelJob4Num").text(data.Job4);
    mui("#job4Progressbar").progressbar().setProgress(job4Pro);

    var job5Pro = 0;
    if (data.Job5 >= 2)
        job5Pro = 100;
    else {
        job5Pro = parseInt(data.Job5 / 2 * 100);
    }
    jQuery("#labelJob5Num").text(data.Job5);
    mui("#job5Progressbar").progressbar().setProgress(job5Pro);

    var job6Pro = 0;
    if (data.Job6 >= 1)
        job6Pro = 100;
    else {
        job6Pro = 0;
    }
    jQuery("#labelJob6Num").text(data.Job6);
    mui("#job6Progressbar").progressbar().setProgress(job6Pro);

    if (data.Setup2Awarded == 1) {
        jQuery("#btnComplateJob2").attr("disabled", true).text("已领取奖励").unbind("tap");
    }
    else {
        if (data.Job4 >= 5 && data.Job5 >= 2 && data.Job6 >= 1) {
            jQuery("#btnComplateJob2").attr("disabled", false).text("任务全部完成，领取奖励").bind("tap", function () {
                complateJob1AndJob2(2);
            });
        }
        else {
            jQuery("#btnComplateJob2").attr("disabled", true).text("任务尚未完成").unbind("tap");
        }
    }

    if (data.AwardBuged == 1) {
        jQuery("#btnAwardBug").attr("disabled", true).text("已领取新手大礼包").unbind("tap");
    }
    else {
        jQuery("#btnAwardBug").attr("disabled", false).text("马上领取新手大礼包").bind("tap", function () {
            currVIPType = 6;
            mui('#sheetPay').popover('toggle');
        });
    }
};