function openGameResultPage(gameno, openType) {
    var subNViews = [];
    if (openType == 0) {
        subNViews = [
                    {
                        "id": "gameResultTabBar",
                        "styles": {
                            "bottom": "0px",
                            "left": "0",
                            "height": "50px",
                            "width": "100%",
                            "backgroundColor": "#494949"
                        },
                        "tags": [
                            {
                                tag: 'img',
                                id: 'iconUpdateVIP',
                                position: {
                                    top: '5px',
                                    left: '6%',
                                    width: '38%',
                                    height: '40px'
                                },
                                src: '/img/gameresultvip.png'
                            },
                            {
                                tag: 'img',
                                id: 'iconNext',
                                position: {
                                    top: '5px',
                                    right: '6%',
                                    width: '38%',
                                    height: '40px'
                                },
                                src: '/img/gameresultnext.png'
                            }
                        ]
                    }
        ];
    }

    mui.openWindow({
        url: '/game_result.html',
        id: 'game_result',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "收豆结果", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                }
            },
            "subNViews": subNViews,
            bounceBackground: "#f9f9f9"
        },
        extras: {
            gameno: gameno,
            openType: openType
        },
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 200 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: false //自动显示等待框，默认为true
        }
    });
};

function openVIP(type) {
    var typeOption = "no";
    if (type)
        typeOption = type;

    mui.openWindow({
        url: 'vip/vip.html',
        id: 'vip',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "我的VIP", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                }
            },
            bounceBackground: "#f9f9f9"
        },
        extras: {
            type: typeOption
        },
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true, //自动显示等待框，默认为true
            options: commnWaittingOptions
        }
    });
};

function openGameCSXHelp(helpId, title, type) {
    var openType = "";
    if (type)
        openType = type;

    mui.openWindow({
        url: '/help/helplist.html',
        id: 'helplist',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: title, //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                }
            },
            bounceBackground: "#f9f9f9"
        },
        extras: {
            helpId: helpId,
            type: openType
        },
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true, //自动显示等待框，默认为true
            options: commnWaittingOptions
        }
    });
};

function openPublicPage(title, content) {
    mui.openWindow({
        url: '/publicpage.html',
        id: 'publicpage',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "重要公告", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                }
            },
            bounceBackground: "#f9f9f9"
        },
        extras: {
            title: title,
            content: content
        },
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: true, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: false
        }
    });
};

function openGameHistory(type) {
    var openType = "";
    if (type)
        openType = type;

    mui.openWindow({
        url: '/gamehistory/gamehistory.html',
        id: 'gamehistory_html',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "猜生肖历史记录", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                }
            },
            bounceBackground: "#f9f9f9"
        },
        extras: {
            type: openType
        },
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true, //自动显示等待框，默认为true
            options: commnWaittingOptions
        }
    });
};

function openMasterPage(type) {
    var openType = "";
    if (type)
        openType = type;

    mui.openWindow({
        url: '/master/master.html',
        id: 'master',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "邀请徒弟", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                }
            },
            bounceBackground: "#f9f9f9"
        },
        extras: {
            type: openType
        },
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true, //自动显示等待框，默认为true
            options: commnWaittingOptions
        }
    });
};

function openGameTrend(type) {
    var openType = "";
    if (type)
        openType = type;

    mui.openWindow({
        url: '/game_trend/game_trend.html',
        id: 'game_trend',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "猜生肖走势图", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                }
            },
            bounceBackground: "#f9f9f9"
        },
        extras: {
            type: openType
        },
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true, //自动显示等待框，默认为true
            options: commnWaittingOptions
        }
    });
};

function openGameAutoJoin(type) {
    var openType = "";
    if (type)
        openType = type;

    var titleText = "0";
    if (loginedUserInfo.hasLogin()) {
        titleText = loginedUserInfo.getUserInfo().Bean.toString();
    }
    var textWidth = titleText.length * 12;
    var textLeft = window.innerWidth - (5 + textWidth);
    var imgLeft = textLeft - 30;

    mui.openWindow({
        url: '/game_autojoin/game_autojoin.html',
        id: 'game_autojoin',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "高级种豆", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                },
                "tags": [
                    {
                        tag: 'img',
                        id: 'icon',
                        position: {
                            top: '8px',
                            left: imgLeft + 'px',
                            width: '25px',
                            height: '25px'
                        },
                        src: '/img/zd-dou.png'
                    },
                    {
                        "tag": "font",
                        "id": "douText",
                        "text": titleText,
                        "position": {
                            "top": "9px",
                            "left": textLeft + 'px',
                            "width": textWidth + "px",
                            "height": "24px"
                        },
                        "textStyles": {
                            "align": "left",
                            "size": "20px",
                            color: "#FFBF0E"
                        }
                    }
                ]
            },
            "subNViews": [
            {
                "id": "autoJoinTabBar",
                "styles": {
                    "bottom": "0px",
                    "left": "0",
                    "height": "50px",
                    "width": "100%",
                    "backgroundColor": "#ffffff"
                },
                "tags": [
                    {
                        "tag": "font",
                        "id": "indexText",
                        "text": "已运行: 0 次",
                        "position": {
                            "top": "13px",
                            "left": "5",
                            "width": "100%",
                            "height": "24px"
                        },
                        "textStyles": {
                            "align": "left",
                            "size": "20px",
                            color: "#000"
                        }
                    },
                    {
                        "tag": "rect",
                        "id": "tabBorder",
                        "position": {
                            "top": "0",
                            "left": "0",
                            "width": "100%",
                            "height": "1px"
                        },
                        "rectStyles": {
                            "color": "#ccc"
                        }
                    }
                ]
            }
            ],
            bounceBackground: "#f9f9f9"
        },
        extras: {
            type: openType
        },
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true, //自动显示等待框，默认为true
            options: commnWaittingOptions
        }
    });
};

function openAward() {
    var titleText = "0";
    if (loginedUserInfo.hasLogin()) {
        titleText = loginedUserInfo.getUserInfo().Bean.toString();
    }
    var textWidth = titleText.length * 12;
    var textLeft = window.innerWidth - (5 + textWidth);
    var imgLeft = textLeft - 30;

    mui.openWindow({
        url: '/award/award.html',
        id: 'award',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "抽抽奖", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                },
                "tags": [
                    {
                        tag: 'img',
                        id: 'icon',
                        position: {
                            top: '8px',
                            left: imgLeft + 'px',
                            width: '25px',
                            height: '25px'
                        },
                        src: '/img/zd-dou.png'
                    },
                    {
                        "tag": "font",
                        "id": "douText",
                        "text": titleText,
                        "position": {
                            "top": "9px",
                            "left": textLeft + 'px',
                            "width": textWidth + "px",
                            "height": "24px"
                        },
                        "textStyles": {
                            "align": "left",
                            "size": "20px",
                            color: "#FFBF0E"
                        }
                    }
                ]
            },
            bounceBackground: "#f9f9f9"
        },
        extras: {},
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true, //自动显示等待框，默认为true
            options: commnWaittingOptions
        }
    });
};

function openWithDraw() {
    var titleText = "0";
    if (loginedUserInfo.hasLogin()) {
        titleText = loginedUserInfo.getUserInfo().Bean.toString();
    }
    var textWidth = titleText.length * 12;
    var textLeft = window.innerWidth - (5 + textWidth);
    var imgLeft = textLeft - 30;

    mui.openWindow({
        url: '/withdraw/withdraw.html',
        id: 'withdraw',
        styles: {
            popGesture: "close",
            bounce: 'vertical',
            "titleNView": { //详情页原生导航配置
                backgroundColor: '#000000', //导航栏背景色
                titleText: "提现", //导航栏标题
                titleColor: '#ffffff', //文字颜色
                autoBackButton: true, //自动绘制返回箭头
                splitLine: { //底部分割线
                    color: '#cccccc'
                },
                "tags": [
                    {
                        tag: 'img',
                        id: 'icon',
                        position: {
                            top: '8px',
                            left: imgLeft + 'px',
                            width: '25px',
                            height: '25px'
                        },
                        src: '/img/zd-dou.png'
                    },
                    {
                        "tag": "font",
                        "id": "douText",
                        "text": titleText,
                        "position": {
                            "top": "9px",
                            "left": textLeft + 'px',
                            "width": textWidth + "px",
                            "height": "24px"
                        },
                        "textStyles": {
                            "align": "left",
                            "size": "20px",
                            color: "#FFBF0E"
                        }
                    }
                ]
            },
            bounceBackground: "#f9f9f9"
        },
        extras: {},
        createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
        show: {
            autoShow: false, //页面loaded事件发生后自动显示，默认为true
            aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
            duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
        },
        waiting: {
            autoShow: true, //自动显示等待框，默认为true
            options: commnWaittingOptions
        }
    });
};

function openUserGameHistory(type) {
    var openType = "";
    if (type)
        openType = type;

    if (loginedUserInfo.hasLogin()) {
        mui.openWindow({
            url: 'usergamehistory/usergamehistory.html',
            id: 'usergamehistory',
            styles: {
                popGesture: "close",
                bounce: 'vertical',
                "titleNView": { //详情页原生导航配置
                    backgroundColor: '#000000', //导航栏背景色
                    titleText: "我的猜生肖记录", //导航栏标题
                    titleColor: '#ffffff', //文字颜色
                    autoBackButton: true, //自动绘制返回箭头
                    splitLine: { //底部分割线
                        color: '#cccccc'
                    }
                },
                bounceBackground: "#f9f9f9"
            },
            extras: {
                type: openType
            },
            createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
            show: {
                autoShow: false, //页面loaded事件发生后自动显示，默认为true
                aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
                duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
            },
            waiting: {
                autoShow: true, //自动显示等待框，默认为true
                options: commnWaittingOptions
            }
        });
    }
    else {
        openLogin(openType);
    }
};