//优化requestAnimationFrame的兼容性
(function () {
    var lastTime = 0;
    var vendors = ['webkit', 'moz'];
    for (var x = 0; x < vendors.length && !window.requestAnimationFrame; ++x) {
        window.requestAnimationFrame = window[vendors[x] + 'RequestAnimationFrame'];
        window.cancelAnimationFrame =
          window[vendors[x] + 'CancelAnimationFrame'] || window[vendors[x] + 'CancelRequestAnimationFrame'];
    }

    if (!window.requestAnimationFrame)
        window.requestAnimationFrame = function (callback, element) {
            var currTime = new Date().getTime();
            var timeToCall = Math.max(0, 16 - (currTime - lastTime));
            var id = window.setTimeout(function () { callback(currTime + timeToCall); },
              timeToCall);
            lastTime = currTime + timeToCall;
            return id;
        };

    if (!window.cancelAnimationFrame)
        window.cancelAnimationFrame = function (id) {
            clearTimeout(id);
        };
}());

var qrcode = null;
var timer = null;
var currUserToken = loginedUserInfo.getToken();
var currOrderId = 0;
var isOrderSuccess = false;
function orderEngine(sec, callback) {
    isOrderSuccess = false;
    var timeTag = Date.now();   //上一帧的时间
    var endTime = Date.now() + (sec * 1000);    //结束时间
    var isEnd = false;  //是否结束
    var timer;
    var times = endTime - Date.now();
    var interval = 1000;
    var secTimes = sec;

    var second_show = "0" + parseInt(secTimes % 60);
    var minute_show = "0" + parseInt(secTimes / 60);

    $("#payminute_show").text(minute_show.substring(minute_show.length - 2, minute_show.length));
    $("#paysecond_show").text(second_show.substring(second_show.length - 2, second_show.length));

    jQuery("#btnGetSMSCode").attr("disabled", true);
    jQuery("#btnGetSMSCode").text(secTimes + "秒");

    function begin() {
        if (isOrderSuccess)
            return;

        window.cancelAnimationFrame(timer);
        if (isEnd) {
            layer.closeAll();

            return;
        }

        if ((Date.now() - timeTag) >= interval) {
            times = endTime - Date.now();
            if (times <= 0) {
                //提前结束
                isEnd = true;
            }
            else {
                secTimes = parseInt(times / interval);
                var second_show = "0" + parseInt(secTimes % 60);
                var minute_show = "0" + parseInt(secTimes / 60);

                $("#payminute_show").text(minute_show.substring(minute_show.length - 2, minute_show.length));
                $("#paysecond_show").text(second_show.substring(second_show.length - 2, second_show.length));

                if (secTimes <= 0) {
                    isEnd = true;
                }
                else {
                    if (secTimes % 2 == 0) {
                        checkOrderStatus(callback);
                    }
                }
            }

            timeTag = Date.now();
        }

        if (!isOrderSuccess)
            timer = window.requestAnimationFrame(begin);
    };

    timer = window.requestAnimationFrame(begin);
};

function checkOrderStatus(callback) {
    mui.ajax(apiUrl + '/VIP/CheckPayOrderStatus', {
        data: { token: currUserToken, id: currOrderId },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (result) {
            if (result.Status == 0) {
                isOrderSuccess = true;
                window.cancelAnimationFrame(timer);
                loginedUserInfo.updateUserInfo(result.Object);
                mui.fire(plus.webview.getWebviewById("my_sub.html"), "fullBaseInfo", {});
                layer.closeAll();
                if (currVIPType == 6)
                    mui.alert("恭喜您购买新手大礼包成功!", "恭喜您", "OK", null, "div");
                else
                    mui.alert("恭喜您升级VIP成功!", "恭喜您", "OK", null, "div");

                if (callback)
                    callback();
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

function urlencode(str) {
    str = (str + '').toString();

    return encodeURIComponent(str).replace(/!/g, '%21').replace(/'/g, '%27').replace(/\(/g, '%28').
    replace(/\)/g, '%29').replace(/\*/g, '%2A').replace(/%20/g, '+');
};

function createOrder(callback) {
    var w = plus.nativeUI.showWaiting("正在准备支付...");
    mui.ajax(apiUrl + '/VIP/CheckVIPInfoAndCreateOrder', {
        data: { token: currUserToken, viptype: currVIPType, paytype: currPayType },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (result) {
            w.close();
            switch (result.Status) {
                case 0: {
                    currQrCode = result.QrCode;
                    currOrderId = result.OrderId;

                    layer.open({
                        type: 1,
                        shadeClose: false,
                        shade: 0.1,
                        skin: 'demo-class',
                        maxmin: false, //开启最大化最小化按钮
                        area: ['100%', "500px"],
                        content: payBoxHtml,
                        end: function () {
                            qrcode.clear();
                            jQuery("#spanPayTopTitleLeft").text("");
                            jQuery("#spanPayTopTitleRight").text("");
                            jQuery("#payBoxBottomDescAlipay").hide();
                            jQuery("#payBoxBottomDescWX").hide();
                            jQuery("#paytitle").html("");
                        },
                        success: function () {
                            qrcode = new QRCode(jQuery("#payqrcode").get(0), {
                                text: currQrCode,
                                colorDark: '#000000',
                                colorLight: '#ffffff',
                                correctLevel: QRCode.CorrectLevel.H
                            });

                            var payTitleHtml = "";
                            switch (currPayType) {
                                case 1: {
                                    jQuery("#payBoxBottomDescAlipay").show();
                                    payTitleHtml = '支付宝支付￥<label>' + result.RealMoney + '</label>元';
                                    break;
                                }
                                case 3: {
                                    jQuery("#payBoxBottomDescWX").show();
                                    payTitleHtml = '微信支付￥<label>' + result.RealMoney + '</label>元';
                                    break;
                                }
                            }
                            jQuery("#paytitle").html(payTitleHtml);

                            var topTitleLeft = "";
                            var totpTitleRight = "";

                            switch (currVIPType) {
                                case 1: {
                                    topTitleLeft = "正在升级VIP1";
                                    totpTitleRight = "60元/30天";
                                    break;
                                }
                                case 2: {
                                    topTitleLeft = "正在升级VIP2";
                                    totpTitleRight = "150元/30天";
                                    break;
                                }
                                case 3: {
                                    topTitleLeft = "正在升级VIP3";
                                    totpTitleRight = "300元/30天";
                                    break;
                                }
                                case 4: {
                                    topTitleLeft = "正在升级VIP4";
                                    totpTitleRight = "500元/30天";
                                    break;
                                }
                                case 5: {
                                    topTitleLeft = "正在升级SVIP";
                                    totpTitleRight = "1500元/30天";
                                    break;
                                }
                                case 6: {
                                    topTitleLeft = "正在购买新手大礼包";
                                    totpTitleRight = "10元=100000豆子";
                                    break;
                                }
                            }
                            jQuery("#spanPayTopTitleLeft").text(topTitleLeft);
                            jQuery("#spanPayTopTitleRight").text(totpTitleRight);

                            jQuery("#divClosePayBox").on("tap", function () {
                                layer.closeAll();
                            });

                            jQuery("#payqrcode").on("longtap", function () {
                                mui('#picture').popover('toggle');
                            });

                            orderEngine(result.RemainSecs, callback);
                        }
                    });

                    break;
                } 
                case -997: {
                    mui.alert("账号不存在.", "有问题哦", "OK", null, "div");
                    break;
                }
                case -998: {
                    mui.alert("你的账号已被封禁.", "有问题哦", "OK", null, "div");
                    break;
                }
                case -999: {
                    mui.alert("你在短时间内产生了太多的未成功订单,请稍后再试.", "有问题哦", "OK", null, "div");
                    break;
                }
                case -990: {
                    mui.alert("系统没有出现问题,但有一些繁忙,请过几分钟再试.", "系统繁忙", "OK", null, "div");
                    break;
                }
                case -1000: {
                    mui.alert("系统正在维护,请过几分钟再试哦.", "有问题哦", "OK", null, "div");
                    break;
                }
                case -1003:
                case -1001:
                case -1002: {
                    mui.alert("出现未知错误,请稍后再试.", "有问题哦", "OK", null, "div");
                    break;
                }
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};