var initInfo = null;

function editAlipay() {
    var alipay = jQuery("#txtAlipay").val();
    var alipayName = jQuery("#txtAlipayName").val().trim();
    if (!isEmail(alipay) && !isPhone(alipay)) {
        mui.toast('请输入正确的支付宝账号.', { duration: 'long' });
        return;
    }

    if (alipayName.length == 0 || alipayName.getBytesLength.length > 50) {
        mui.toast('请输入合法的支付宝姓名.', { duration: 'long' });
        return;
    }

    mui("#btnEditAlipay").button('loading');
    var token = loginedUserInfo.getToken();
    mui.ajax(apiUrl + '/WithDraw/EditAlipay', {
        data: { token: token, alipay: alipay, alipayname: alipayName },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (status) {
            mui("#btnEditAlipay").button('reset');
            switch (status) {
                case 0: {
                    document.activeElement.blur();
                    jQuery("#spanAlipay").text(alipay);
                    jQuery(this).data("isopen", 0);
                    jQuery("#formAlipayBox").slideUp();
                    userAlipayExists = true;
                    mui.toast('支付宝信息编辑成功.', { duration: 'long' });
                    break;
                }
                case -1: {
                    mui.toast('请输入正确的支付宝账号.', { duration: 'long' });
                    break;
                }
                case -2: {
                    mui.toast('请输入合法的支付宝姓名.', { duration: 'long' });
                    break;
                }
                case -3: {
                    mui.alert("您输入的支付宝已经绑定了过多的账号,请更换其他支付宝.", "有问题哦", "确定", null, "div");
                    break;
                }
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};
var userAlipayExists = false;
function initPage(callback) {
    var token = loginedUserInfo.getToken();

    mui.ajax(apiUrl + '/WithDraw/InitPageInfo', {
        data: { token: token },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (result) {
            initInfo = result;
            var userInfo = loginedUserInfo.getUserInfo();
            userInfo.Bean = initInfo.UserCurrBean;
            loginedUserInfo.updateUserInfo(userInfo);
            mui.fire(plus.webview.getWebviewById("my_sub.html"), "fullBaseInfo", {});
            setHeadStyle();

            if (initInfo.UserAlipayExists) {
                jQuery("#spanAlipay").text(initInfo.UserAlipay);
                jQuery("#txtAlipay").val(initInfo.UserAlipay);
                jQuery("#txtAlipayName").val(initInfo.UserAlipayName);
                userAlipayExists = true;
            }

            if (callback)
                callback();
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

function getCountByVIP(vip) {
    switch (vip) {
        case 1: {
            return 2;
        }
        case 2: {
            return 3;
        }
        case 3: {
            return 4;
        }
        case 4: {
            return 6;
        }
        case 5: {
            return 12;
        }
        case -1:
        case 0: {
            return 1;
        }
    }
};

function userWithDraw(type) {
    var userInfo = loginedUserInfo.getUserInfo();
    if (!userAlipayExists) {
        mui.toast('请先设置支付宝信息.', { duration: 'long' });
        jQuery("#aEditAlipay").data("isopen", 1);
        jQuery("#formAlipayBox").slideDown();

        return;
    }
    switch (type) {
        case 3: {
            if (initInfo.UserAward2Count > 0) {
                mui.alert("您已经参与了2元提现,近期内无法再次参与,请看看其他提现额度吧.", "有问题哦", "确定", null, "div");
            }
            else if (userInfo.Bean < 50000) {
                mui.alert("您的豆子不足,豆子数量需要达到50000才能进行提现.", "有问题哦", "确定", null, "div");
            }
            else {
                submitWithDraw(type);
            }
            break;
        }
        case 4: {
            if (initInfo.UserAward2Count > 1) {
                mui.alert("该提现的今日次数已经用完了,请明天再试吧.", "有问题哦", "确定", null, "div");
            }
            else if (userInfo.Bean < 20000) {
                mui.alert("您的豆子不足,豆子数量需要达到120000才能进行提现.", "有问题哦", "确定", null, "div");
            }
            else {
                submitWithDraw(type);
            }
            break;
        }
        case 5: {
            if (initInfo.UserAward2Count > 2) {
                mui.alert("该提现的今日次数已经用完了,请明天再试吧.", "有问题哦", "确定", null, "div");
            }
            else if (userInfo.Bean < 20000) {
                mui.alert("您的豆子不足,豆子数量需要达到800000才能进行提现.", "有问题哦", "确定", null, "div");
            }
            else if (initInfo.UserAward55Status == 0) {
                mui.alert("该提现的权限已被限制,请与客服人员联系.", "有问题哦", "确定", null, "div");
            }
            else {
                submitWithDraw(type);
            }
            break;
        }
        case 6: {
            var count = getCountByVIP(userInfo.VIP);
            if (initInfo.UserAward2Count > count) {
                mui.alert("该提现的今日次数已经用完了,请明天再试吧.", "有问题哦", "确定", null, "div");
            }
            else if (userInfo.Bean < 20000) {
                mui.alert("您的豆子不足,豆子数量需要达到1500000才能进行提现.", "有问题哦", "确定", null, "div");
            }
            else if (initInfo.UserAward99Status == 0) {
                mui.alert("该提现的权限已被限制,请与客服人员联系.", "有问题哦", "确定", null, "div");
            }
            else {
                submitWithDraw(type);
            }
            break;
        }
    }
};

function submitWithDraw(category) {
    var w = plus.nativeUI.showWaiting("处理中，请等待...", { modal: true });

    var token = loginedUserInfo.getToken();

    mui.ajax(apiUrl + '/WithDraw/UserWithDraw', {
        data: { token: token, category: category },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        crossDomain: true,
        success: function (result) {
            w.close();

            if (result.Status == 0) {
                var userInfo = loginedUserInfo.getUserInfo();
                userInfo.Bean = result.Object;
                loginedUserInfo.updateUserInfo(userInfo);
                mui.fire(plus.webview.getWebviewById("my_sub.html"), "fullBaseInfo", {});
                setHeadStyle();

                switch (category) {
                    case 3: {
                        initInfo.UserAward2Count++;
                        break;
                    }
                    case 4: {
                        initInfo.UserAward12Count++;
                        break;
                    }
                    case 5: {
                        initInfo.UserAward55Count++;
                        break;
                    }
                    case 6: {
                        initInfo.UserAward99Count++;
                        break;
                    }
                }

                mui.alert("恭喜您提现成功,客服人员会尽快审核并为您发放.", "恭喜您", "确定", null, "div");
            }
            else if (result.Status == -999) {
                mui.alert("您的账号已被封,请与客服人员联系.", "有问题哦", "确定", null, "div");
            }
            else if (result.Status == -998) {
                mui.toast('请先设置支付宝信息.', { duration: 'long' });
                jQuery("#aEditAlipay").data("isopen", 1);
                jQuery("#formAlipayBox").slideDown();
            }
            else {
                switch (category) {
                    case 3: {
                        switch (result.Status) {
                            case -1: {
                                mui.alert("您的豆子不足,豆子数量需要达到20000才能进行提现.", "有问题哦", "确定", null, "div");
                                break;
                            }
                            case -2: {
                                mui.alert("您已经参与了2元提现,近期内无法再次参与,请看看其他提现额度吧.", "有问题哦", "确定", null, "div");
                                break;
                            }
                            case -3: {
                                mui.alert("您需要注册满2天时间后才能进行提现.", "有问题哦", "确定", null, "div");
                                break;
                            }
                        }
                        break;
                    }
                    case 4: {
                        switch (result.Status) {
                            case -1: {
                                mui.alert("您的豆子不足,豆子数量需要达到120000才能进行提现.", "有问题哦", "确定", null, "div");
                                break;
                            }
                            case -2: {
                                mui.alert("该提现的今日次数已经用完了,请明天再试吧.", "有问题哦", "确定", null, "div");
                                break;
                            }
                        }
                        break;
                    }
                    case 5: {
                        switch (result.Status) {
                            case -1: {
                                mui.alert("您的豆子不足,豆子数量需要达到800000才能进行提现.", "有问题哦", "确定", null, "div");
                                break;
                            }
                            case -2: {
                                mui.alert("该提现的今日次数已经用完了,请明天再试吧.", "有问题哦", "确定", null, "div");
                                break;
                            }
                            case -4: {
                                mui.alert("该提现的权限已被限制,请与客服人员联系.", "有问题哦", "确定", null, "div");
                                break;
                            }
                        }
                        break;
                    }
                    case 6: {
                        switch (result.Status) {
                            case -1: {
                                mui.alert("您的豆子不足,豆子数量需要达到1500000才能进行提现.", "有问题哦", "确定", null, "div");
                                break;
                            }
                            case -2: {
                                mui.alert("该提现的今日次数已经用完了,请明天再试吧.", "有问题哦", "确定", null, "div");
                                break;
                            }
                            case -4: {
                                mui.alert("该提现的权限已被限制,请与客服人员联系.", "有问题哦", "确定", null, "div");
                                break;
                            }
                        }
                        break;
                    }
                }
            }
        },
        error: function (xhr, type, errorThrown) {
            showAjaxErrMsg(type);
        }
    });
};

//设置头部内容
function setHeadStyle() {
    var userInfo = loginedUserInfo.getUserInfo();
    var nviewEvent = plus.webview.currentWebview().getTitleNView(), // 获取nview控件对象
    currTag = plus.webview.currentWebview().getStyle().titleNView.tags[1] // 获取nview对象的属性
    jQuery("#labMyBeans").text(formatBean(userInfo.Bean));
    nviewEvent.drawText(userInfo.Bean, currTag.position, changeColor(currTag.textStyles, "#FFBF0E"), currTag.id);
};

function drawNative(id, styles, tags) {
    var view = new plus.nativeObj.View(id, styles, tags);
    return view;
};
function changeColor(obj, color) {
    obj.color = color;
    return obj;
};